Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.view
Class FormulaViewBuilder

public class FormulaViewBuilder

Constructor Summary
`FormulaViewBuilder()`

Method Summary
`View` | `createConstantView(AstConstant node, Graphics g)`
`View` | `createDifferentiationView(AstFunNode node, Graphics g)`
`View` | `createDivisionView(AstFunNode node, Graphics g)`
`View` | `createFunctionDeclarationView(AstFunctionDeclaration node, Graphics g)`
`View` | `createFunctionView(AstFunNode node, Graphics g)`
`View` | `createNodeView(Node node, Graphics g)`
`View` | `createPieceView(AstPiece node, View valueView, int valueDy, int conditionOffset, Graphics g)`
`View` | `createPiecewiseView(AstPiecewise node, Graphics g)`
`View` | `createTitleView(String title, ColorFont font, Graphics g)` Creates view for variable or function name.
`View` | `createVariableView(AstVarNode node, Graphics g)`
`CompositeView` | `createView(AstStart start, Graphics g)`
`ColorFont` | `getDefaultFont()`
`static boolean` | `needParenthis(AstFunNode node)`

Constructor Detail

### FormulaViewBuilder

    public FormulaViewBuilder()

Method Detail

### createConstantView

    public View createConstantView(AstConstant node, Graphics g)

### createDifferentiationView

    public View createDifferentiationView(AstFunNode node, Graphics g)

### createDivisionView

    public View createDivisionView(AstFunNode node, Graphics g)

### createFunctionDeclarationView

    public View createFunctionDeclarationView(AstFunctionDeclaration node, Graphics g)

### createFunctionView

    public View createFunctionView(AstFunNode node, Graphics g)

### createNodeView

    public View createNodeView(Node node, Graphics g)

### createPieceView

    public View createPieceView(AstPiece node, View valueView, int valueDy, int conditionOffset, Graphics g)

### createPiecewiseView

    public View createPiecewiseView(AstPiecewise node, Graphics g)

### createTitleView

    public View createTitleView(String title, ColorFont font, Graphics g)

  Creates view for variable or function name. '_' character indicates that subscript should be used for last part of expression.
  pending whether we should use different fonts if expression has several levels of subscript?

### createVariableView

    public View createVariableView(AstVarNode node, Graphics g)

### createView

    public CompositeView createView(AstStart start, Graphics g)

### getDefaultFont

    public ColorFont getDefaultFont()

### needParenthis

    public static boolean needParenthis(AstFunNode node)

Association Links

to Class org.apache.log4j.Category

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class java.awt.Point

to Class java.awt.Point

to Class java.awt.Point

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM